﻿@typeparam TModel

<EditForm Model="Model"
          OnValidSubmit="OnValidFormSubmit"
          OnInvalidSubmit="OnInvalidFormSubmit">
    <FluentValidator></FluentValidator>

    @if (string.IsNullOrEmpty(SuccessMessage.DataName) == false)
    {
        <div class="alert alert-success" role="alert">
            You have successfully @SuccessMessage.Context @SuccessMessage.DataName
            <button type="button" class="close" aria-label="Close" @onclick="DismissSuccessMessage">
                <span aria-hidden="true">&times;</span>
            </button>
        </div>
    }

<fieldset disabled="@Disabled">
    @FormComponent(Model)

    <div class="form-group">
        <button type="submit" class="btn btn-primary">
            <i class="oi oi-chevron-top"></i>
            Submit
        </button>
    </div>
</fieldset>
</EditForm>